OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs
mcf.h File Reference

Declaration of Multi-Commodity-Flow solver. More...

`#include "linkgraphjob_base.h"`
`#include <vector>`

Go to the source code of this file.

## Data Structures
class | MultiCommodityFlow
| Multi-commodity flow calculating base class. More...
class | MCF1stPass
| First pass of the MCF calculation. More...
class | MCF2ndPass
| Second pass of the MCF calculation. More...
class | MCFHandler< Tpass >
| Link graph handler for MCF. More...

## Typedefs
typedef std::vector< Path * > | PathVector

## Detailed Description

Declaration of Multi-Commodity-Flow solver.

Definition in file mcf.h.